baseURL = "https://www.alexselimov.com/"
locale = "en-US"
theme = ["forge.alexselimov.com/aselimov/hugo-bearcub"]
defaultContentLanguage = "en"
copyright = "© Alex Selimov"
enableRobotsTXT = true

[pagination]
pagerSize = 10

[markup]
[markup.goldmark.renderer]
unsafe = true
[markup.highlight]
lineNos = true
lineNumbersInTable = false
noClasses = false

[taxonomies]
tag = "tags"
topic = "topics"

[languages]
[languages.en]
title = "Alex Selimov"
label = "en-US"
locale = "en-US"
[languages.en.menu]
[[languages.en.menu.main]]
identifier = "home"
name = "Home"
url = "/"
weight = 1
[[languages.en.menu.main]]
identifier = "projects"
name = "Projects"
url = "/projects/"
weight = 2
[[languages.en.menu.main]]
identifier = "about"
name = "About"
url = "/about/"
weight = 3

[params.heatmap]
caption = "This is my unified git heatmap from my <a href='https://forge.alexselimov.com/aselimov'>Forgejo</a> and <a href='https://github.com/aselimov'>Github</a>"
color_empty_light = "#e8e4dc"
color_empty_dark = "#2a2a2a"
color_max = "#7a5010"
color_high = "#C47E1A"
color_mid = "#EF9F27"
color_low = "#F7C46A"
[params]
description = "Alex Selimov personal site and blog."
title = "Alex Selimov"
favicon = "favicon.png"
images = ["og-image.png"]
dateFormat = "2006-01-02"
hideUntranslated = false
themeStyle = "herman"
generateSocialCard = true
postsToShowOnIndex = 5
upvotes = true
upvoteApi = "/api"
numBest = 5

[params.author]
name = "Alex Selimov"
email = "alex@alexselimov.com"

[module]
[[module.imports]]
path = 'forge.alexselimov.com/aselimov/hugo-bearcub'
[[module.imports]]
path = 'forge.alexselimov.com/aselimov/hugo-unified-git-activity'
[[module.imports]]
path = 'forge.alexselimov.com/aselimov/hugo-stack'
